TAAS - Feature #257

Service Productivity Report
07/09/2023 04:20 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Service Productivity Report

Description

Coding Service Productivity Report

History

#1 - 08/04/2023 05:01 PM - Junaid M

- Assignee changed from travvise Admin to Karthika V Anand

#2 - 08/04/2023 05:03 PM - Karthika V Anand
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 09/29/2023 03:51 PM - Junaid M
- File Service-Prod-Query.sql added

#4 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#5 - 12/13/2023 06:30 PM - Vivekp V
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

coding done

#6 - 12/14/2023 05:02 PM - unnikannan S

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.CLEAR BASE 2 CURENCY

2.ERROR WHILE CHOOSING LEDGER CURRENCYS

3.ADD CURRENCY AS MANDATORY
4.CORECT THE FUNCTION OF GROUPING OF CUSTOMER/SUPPLIER/STAFFS IN GRID

#7 - 12/14/2023 05:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CLEAR BASE 2 CURENCY

05/03/2025 1/5




2.ERROR WHILE CHOOSING LEDGER CURRENCYS
3.ADD CURRENCY AS MANDATORY

#8 - 01/04/2024 02:55 PM - unnikannan S
TESTING DONE

#9 - 01/04/2024 02:59 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DATA AS PER CHOOSEN CONSIDER OPTIONS ONLY fixed

2.CLEAR DELETED VOUCHERS COUNT/AND AMOUNT FROM LIST FIXED

3.REMOVE DUPLICATION OF SERVICE CODE IN LIST fixed

4.NO DATA FROM DIRECT CANCELLED VOUCHERS fixed

5.CLEAR DATA FROM GROUPING FIELD IN CASE OF CHOOSING RESET AND SELECTING GROUPING OPTIONS fixed
6.DONT SPLIT UP AMOUNT&COUNT IN SALE AND REFUND COLUMNS THOSE VOUCHERS CANCELLING AFTER ISSUED

#10 - 01/04/2024 05:23 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE fIXED

1.SHOW DATA AS PER CHOOSEN CONSIDER OPTIONS ONLY fixed

2.CLEAR DELETED VOUCHERS COUNT/AND AMOUNT FROM LIST FIXED

3.REMOVE DUPLICATION OF SERVICE CODE IN LIST fixed

4.NO DATA FROM DIRECT CANCELLED VOUCHERS fixed

5.CLEAR DATA FROM GROUPING FIELD IN CASE OF CHOOSING RESET AND SELECTING GROUPING OPTIONS fixed
6.DONT SPLIT UP AMOUNT&COUNT IN SALE AND REFUND COLUMNS THOSE VOUCHERS CANCELLING AFTER ISSUED

#11 - 01/05/2024 12:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.FALSE INFORMATION WHILE CHOOSING DATAS WITH CONSIDER OPTION (REFER CUSTOMER SALE&REFUND REPORT FOR

CONSIDER WORK FLOW)
2.CLEAR DATA FROM GROUPING FIELD IN CASE OF CHOOSING RESET AND SELECTING GROUPING OPTIONS

#12 - 01/08/2024 10:35 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.FALSE INFORMATION WHILE CHOOSING DATAS WITH CONSIDER OPTION (REFER CUSTOMER SALE&REFUND REPORT FOR

CONSIDER WORK FLOW)
2.CLEAR DATA FROM GROUPING FIELD IN CASE OF CHOOSING RESET AND SELECTING GROUPING OPTIONS

#13 - 01/08/2024 04:05 PM - unnikannan S
TESTING DONE

#14 - 03/21/2024 02:53 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOWING ITEM COUNT AS 1 IN LIST WHILE SAVING A COPY OF A SAVED VOUCHER
#15 - 03/21/2024 05:30 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.SHOWING ITEM COUNT AS 1 IN LIST WHILE SAVING A COPY OF A SAVED VOUCHER

#16 - 10/03/2024 10:01 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.Change Grid Name To Service Productivity
2.Missing Customer Name While Choosing Grouping Basis Of Customer

#17 - 10/03/2024 10:14 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Change Grid Name To Service Productivity
2.Missing Customer Name While Choosing Grouping Basis Of Customer

#18 - 10/29/2024 04:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#19 - 03/11/2025 04:04 PM - Arathy PS
- Assignee changed from Vivekp V to Nawal Sidique

#20 - 03/11/2025 04:07 PM - Arathy PS
- File clipboard-202503111607-xsduk.png added
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND - FIXED

1. In the print with grouping (WHEN NO DATA IS PRESENT TO GROUP)
Service Productivity Report

Period (Issue) : 11/03/2025 - 11/03/2025 Branch : All
Currency : Basel (QAR) Consider : All
Sale Refund Net
Service Amount Count Amount Count Amount Count Profit
I Booking Staff :: undefined:: undefined I
SA001: Air Ticket Service 1000.00 1 1300.00 2 -300.00 -1 200.00
SA003: Transfer Service 0.00 0 500.00 1 -500.00 -1 0.00
SA005: Other Service 500.00 1 0.00 0 500.00 1 0.00
Total In QAR 1500.00 1800.00 -300.00 200.00

Printed Date: 11/03/2025 04:03 PM Page: 1/1 Printed By: admin

#21 - 03/12/2025 04:53 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 03/13/2025 01:34 PM - Arathy PS

- File clipboard-202503131334-pOwku.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Amount showing while grouping based on customer is wrong( when AR sharing is done) - FIXED
ravvise Service

Period (Issue)* Branch® i - Currency” | Base1(QAR) -
Supplier Department - Consider  \oid(Fr —
ana
Service Productivity Report Group By | Customer v Y a =2
Service Sale Refund Net Profit
Amount Count Amount Count Amount Count
~  Customer: =
SADO01:: Air Ticket Service 1500.00 3 000 O 150000 3 0.00
SA003: Transfer Service 80000 1 000 O 80000 1 200.00
v  Customer: CAS003z Cash Act As Client
SADO1:: Air Ticket Service 000 0 50000 1 -50000 -1 0.00
~  Customer: CUSD01:: ASLAM ABDUL KHAN
SA001: Air Ticket Service 9950.00 12 280000 3 715000 9 2500.00
SAQ03:: Transfer Service 200000 2 1000.00 1 100000 1 50.00
done sharing with this customer 200000 2 1500.00 1 50000 1 100.00
Customer: CUS002:: AAMAAL ANWAR SALAM
SAQ01:: Air Ticket Service 230000 3 40000 1 190000 2 600.00
SAD03:: Transfer Service 135000 2 50000 1 85000 1 250.00
SAD02:: Hotel Service 50000 1 50000 1 000 0 200.00
Customer: CUS003:: AARIF IBRAHIM KHAN
SAQ01:: Air Ticket Service 200000 2 100000 2 100000 0O 800.00
SAD03:: Transfer Service 290000 4 000 0 290000 4 500.00
Customer: CUSD05:: Customer A
L, SAQ01:: Air Ticket Service 55000 1 000 © 55000 1 150.00
[ SAQ0S: Other Service 70000 1 000 0 70000 1 l 0.00
Total QAR 26550.00 QAR 8200.00 QAR 18250.00 QAR 5350.00
AR A

#23 - 03/22/2025 09:43 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files

Service-Prod-Query.sql 2.74 KB 09/29/2023 Junaid M
clipboard-202503111607-xsduk.png 62.3 KB 03/11/2025 Arathy PS
clipboard-202503131334-pOwku.png 153 KB 03/13/2025 Arathy PS
